export declare const INPUT_VALIDATION_RULES: {
    max: string;
    maxLength: string;
    min: string;
    minLength: string;
    pattern: string;
    required: string;
};
export type Message = string;
export type ValidationValue = boolean | number | string | RegExp;
export type ValidationRule<TValidationValue extends ValidationValue = ValidationValue> = TValidationValue | ValidationValueMessage<TValidationValue>;
export type ValidationValueMessage<TValidationValue extends ValidationValue = ValidationValue> = {
    value: TValidationValue;
    message: Message;
};
export type ValidateResult = Message | Message[] | boolean | undefined;
export type Validate<TFieldValue, TFormValues> = (value: TFieldValue, formValues: TFormValues) => ValidateResult | Promise<ValidateResult>;
export type ValidationRules<TValidation extends ValidationValue> = TValidation;
export type FormValidation = {
    [key: string]: ValidationRules<ValidationValue>;
};
